package com.ruoyi.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : luotingyu
 * @version : 1.0
 * @description : 开标一览表目录类型枚举类
 * @createTime : 2025/8/21
 */
@Getter
@AllArgsConstructor
public enum ScheduleType {

    //根目录
    ROOT(1, "ROOT_DIRECTORY_ID", "根目录"),
    //标段
    BIDNUM(2, "BIDNUM_DIRECTORY_ID", "标段"),
    //包
    PACK(3, "PACK_DIRECTORY_ID", "包"),
    //厂商
    UNIT(4, "UNIT_DIRECTORY_ID", "厂商");

    //编码
    private final Integer code;

    //层级名称
    private final String name;

    //层级英文名称
    private final String msg;

}
